org.icefaces.ace.util.collections

## Class PropertyConstraintPredicate

- java.lang.Object
- - org.icefaces.ace.util.collections.PropertyConstraintPredicate

- All Implemented Interfaces:
    Predicate

      public class PropertyConstraintPredicate
      extends java.lang.Object
      implements Predicate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyConstraintPredicate(javax.faces.context.FacesContext context, javax.el.ValueExpression filterBy, java.lang.String filterValue, FilterConstraint constraint, ACEList list)`
    `PropertyConstraintPredicate(javax.faces.context.FacesContext context, javax.el.ValueExpression filterBy, java.lang.String filterValue, FilterConstraint constraint, Column column)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(java.lang.Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyConstraintPredicate

          public PropertyConstraintPredicate(javax.faces.context.FacesContext context,
                                             javax.el.ValueExpression filterBy,
                                             java.lang.String filterValue,
                                             FilterConstraint constraint,
                                             Column column)

    - #### PropertyConstraintPredicate

          public PropertyConstraintPredicate(javax.faces.context.FacesContext context,
                                             javax.el.ValueExpression filterBy,
                                             java.lang.String filterValue,
                                             FilterConstraint constraint,
                                             ACEList list)

  - ### Method Detail

    - #### evaluate

          public boolean evaluate(java.lang.Object object)

      Specified by:
        `evaluate` in interface `Predicate`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.